[med-svn] r5901 - trunk/packages/tm-align/trunk/debian

Steffen Möller moeller at alioth.debian.org
Sat Feb 5 11:19:10 UTC 2011


Author: moeller
Date: 2011-02-05 11:19:09 +0000 (Sat, 05 Feb 2011)
New Revision: 5901

Modified:
   trunk/packages/tm-align/trunk/debian/get-orig-source
Log:
Some improvements to stability of download


Modified: trunk/packages/tm-align/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/tm-align/trunk/debian/get-orig-source	2011-02-05 07:56:04 UTC (rev 5900)
+++ trunk/packages/tm-align/trunk/debian/get-orig-source	2011-02-05 11:19:09 UTC (rev 5901)
@@ -1,4 +1,8 @@
 #!/bin/sh
+
+# bail out with the first problem
+set -e
+
 # script to download and repack source package of TMalign which strips the binaries from upstream tarball
 
 PKG=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
@@ -7,11 +11,12 @@
     head -n 1 | \
     sed "s/Newest version on remote site is \([-0-9.]\+\),.*/\1/"`
 
-mkdir -p ../tarballs
+if [ ! -d ../tarballs ]; then mkdir -p ../tarballs ; fi
 cd ../tarballs
+TARBALLDIR=`pwd`
 
 UPSTREAMDIR=${PKG}-${VERSION}
-mkdir -p ${UPSTREAMDIR}
+if [ ! -d ${UPSTREAMDIR} ]; then mkdir -p ${UPSTREAMDIR} ; fi
 cd ${UPSTREAMDIR}
 tar -xzf ../../TMtools${VERSION}.tar.gz
 
@@ -20,3 +25,4 @@
 
 GZIP="--best --no-name" tar -czf "$PKG"_"$VERSION".orig.tar.gz "${UPSTREAMDIR}"
 rm -rf "${UPSTREAMDIR}"
+




More information about the debian-med-commit mailing list